# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85.0"
name = "nishikaze"
version = "0.3.2"
authors = ["mrbya <v.toth.svk2@gmail.com>"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Zephyr build system companion."
homepage = "https://gitlab.com/byacrates/nishikaze"
readme = "README.md"
keywords = [
    "nishikaze",
    "kaze",
    "west",
    "zephyr-os",
    "zephyr",
]
categories = [
    "development-tools::build-utils",
    "embedded",
]
license = "MIT OR Apache-2.0"
repository = "https://gitlab.com/byacrates/nishikaze"

[package.metadata.cargo-udeps.ignore]
development = [
    "criterion",
    "pretty_assertions",
]

[package.metadata.playground]
features = ["full"]

[features]
default = ["spinners"]
full = []
spinners = ["dep:spinners"]

[lib]
name = "nishikaze"
path = "src/lib.rs"

[[bin]]
name = "kaze"
path = "src/main.rs"

[[test]]
name = "integration_tests"
path = "tests/integration_tests.rs"

[[bench]]
name = "benches"
path = "benches/benches.rs"
harness = false
required-features = ["full"]

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.indexmap]
version = "2.11.4"
features = ["serde"]

[dependencies.serde]
version = "1"
features = ["serde_derive"]
default-features = false

[dependencies.serde_yaml]
version = "0.9.34"

[dependencies.spinners]
version = "4.1.1"
optional = true

[dependencies.termcolor]
version = "1.4.1"

[dependencies.toml]
version = "1.0.3"
features = ["preserve_order"]

[dev-dependencies.criterion]
version = "0.8"

[dev-dependencies.pretty_assertions]
version = "1"

[lints.clippy]
multiple_crate_versions = "allow"

[profile.bench]
codegen-units = 1
incremental = false

[profile.release]
codegen-units = 1
incremental = false
